/**********************************************************************
Header file: common.h

$Id: common.h,v 1.1.1.2 1998-05-07 17:21:21+03 suonio Exp $

Authors:
HP    Heiko Purnhagen, Uni Hannover <purnhage@tnt.uni-hannover.de>

Changes:
06-jun-96   HP    new module based on ErrorMsg() from cmdline module
25-jun-96   HP    added CommonFreeAlloc()
04-jul-96   HP    added stdlib.h
26-aug-96   HP    CVS
**********************************************************************/


#ifndef _common_h_
#define _common_h_

#include <windows.h>

extern HWND g_hWnd;

int BusyEncoding;

/* ---------- functions ---------- */

#define MBNO_ERROR 0
#define MBERROR 1

/* CommonWarning() */
/* Print program name and warning message to stderr. */
void CommonWarning(
  char *message);		/* in: warning message */

/* CommonExit() */
/* Print program name and error message to stderr and exit program. */
void CommonExit(
  int errorCode,		/* in: error code for exit() */
  char *message);		/* in: error message */


#endif	/* #ifndef _common_h_ */

/* end of common.h */
